/*
 * logo.h
 *
 *  Created on: Jan 17, 2013
 *      Author: mrgs
 */

#ifndef LOGO_H_
#define LOGO_H_

#define LOGO_VERSION = "2556-01-17_1340"
/*
 *      //~
 *     (..)
 *---.oO--Oo.---------------------------------------------------------------------------------------
 * Copyright (c) 2556 BE, Mr Gabor SOOS
 * All rights reserved. License : FreeBSD
 * ---------------------------------------------------------------------------------------------OS4E
 * Project Code  : 054E
 * Goal          : An ACSII art logo for OS4E.
 * Keywords      : Operating System, OS4E, ASCII art, Epiphany, mesh, 2D matrix,
 *                 simple, small, fast, clear, 4x4,
 *----------------------------------------------------------------------------------------------logo
 *
 * +--1234567890123456789012345678901
 * |
 * 1   _____  _____        . ______
 * 2  |     ||_____ |_____|.|______
 * 3  |_____|______|      |.|______
 * 4                       .  .  .  .
 * +
 *
 * - The ASCII logo of OS4E by mrgs, v2556-01-17,
 * - style: cyberlarge,
 * - size: 31x4 = 124 Bytes
 * - font: with 'monospace' ASCII (32, 46, 95, 124) chars: ' ', '.', '_', '|'
 * - data: --- Let me be a little bit Pythonic --- :
 *
 * mrgs@mrgs:~/_install/Epiphany/sdk$ python3
 * Python 3.2 (r32:88445, Mar 23 2011, 09:11:37)
 * [GCC 4.4.3] on linux2
 * Type "help", "copyright", "credits" or "license" for more information.
 *  >>> r0 = ' _____  _____        . ______  '
 *  >>> r1 = '|     ||_____ |_____|.|______  '
 *  >>> r2 = '|_____|______|      |.|______  '
 *  >>> r3 = '                     .  .  .  .'
 *  >>> s1 = r0 + r1 + r2 + r3
 *  >>> s2 = r0 + '\n' + r1 + '\n' + r2 + '\n' + r3 + '\n'
 *  >>> logo_chr_data = []
 *  >>> for i in s1:
 *  ...   logo_chr_data.append(ord(i))
 *  ...
 *  >>> logo_chr_with_EOL_data = []
 *  >>> for i in s2:
 *  ...   logo_chr_with_EOL_data.append(ord(i))
 *  ...
 *  >>> len(logo_chr_data)
 *  124
 *  >>> len(logo_chr_with_EOL_data)
 *  128
 *  >>> logo_chr_data
 *  [32, 95, 95, 95, 95, 95, 32, 32, 95, 95, 95, 95, 95, 32, 32, 32, 32, 32, 32, 32, 32, 46, 32, 95,
 *  95, 95, 95, 95, 95, 32, 32, 124, 32, 32, 32, 32, 32, 124, 124, 95, 95, 95, 95, 95, 32, 124, 95,
 *  95, 95, 95, 95, 124, 46, 124, 95, 95, 95, 95, 95, 95, 32, 32, 124, 95, 95, 95, 95, 95, 124, 95,
 *  95, 95, 95, 95, 95, 124, 32, 32, 32, 32, 32, 32, 124, 46, 124, 95, 95, 95, 95, 95, 95, 32, 32,
 *  32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 46, 32, 32,
 *  46, 32, 32, 46, 32, 32, 46]
 *  >>> logo_chr_with_EOL_data
 *  [32, 95, 95, 95, 95, 95, 32, 32, 95, 95, 95, 95, 95, 32, 32, 32, 32, 32, 32, 32, 32, 46, 32, 95,
 *  95, 95, 95, 95, 95, 32, 32, 10, 124, 32, 32, 32, 32, 32, 124, 124, 95, 95, 95, 95, 95, 32, 124,
 *  95, 95, 95, 95, 95, 124, 46, 124, 95, 95, 95, 95, 95, 95, 32, 32, 10, 124, 95, 95, 95, 95, 95,
 *  124, 95, 95, 95, 95, 95, 95, 124, 32, 32, 32, 32, 32, 32, 124, 46, 124, 95, 95, 95, 95, 95, 95,
 *  32, 32, 10, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32,
 *  46, 32, 32, 46, 32, 32, 46, 32, 32, 46, 10]
 *  >>>
 * .......................................................................................variations
 *   _ _ _ _ _ _ _ _
 * |_O_|_S_|_4_|_E_|                                                                    inside block
 *  ___ ___ ___ ___
 * |   |   |   |
 * | O | S | 4 | E
 * |___|___|___|___                                                                           blocks
 *  _____ _____ ___ _____
 * |     |   __| | |   __|
 * |  |  |__   |   |   __|
 * |_____|_____| |_|_____|                                                                rectangles
 *   _  __    __
 *  / \(_ |_||_
 *  \_/__)  ||__                                                                              bigfig
 *  ___________________ ___________
 *  __  __ \_  ___/_  // /__  ____/
 *  _  / / /____ \_  // /__  __/
 *  / /_/ /____/ //__  __/  /___
 *  \____/ /____/   /_/  /_____/                                                               speed
 *
 *  o-o   o-o  o  o o--o
 * o   o |     |  | |
 * |   |  o-o  o--O O-o
 * o   o     |    | |
 *  o-o  o--o     o o--o                                                                  tinker-toy
 *
 *  ooo   ooo  o  o  ooooo
 * o   o o     o  o  o
 * o   o  ooo  ooooo ooo
 * o   o     o    o  o
 *  ooo   ooo     o  ooooo                                                                      dots
 *
 *    _|_|      _|_|_|  _|  _|    _|_|_|_|
 *  _|    _|  _|        _|  _|    _|
 *  _|    _|    _|_|    _|_|_|_|  _|_|_|
 *  _|    _|        _|      _|    _|
 *    _|_|    _|_|_|        _|    _|_|_|_|                                                     block
 *
 *     _ _       _ _ _   _   _     _ _ _ _
 *   _|_|_|_   _|_|_|_| |_| |_|   |_|_|_|_|
 *  |_|   |_| |_|_ _    |_|_|_|_  |_|_ _
 *  |_|   |_|   |_|_|_  |_|_|_|_| |_|_|_|
 *  |_|_ _|_|  _ _ _|_|     |_|   |_|_ _ _
 *    |_|_|   |_|_|_|       |_|   |_|_|_|_|                                                   matrix
 *
 **/
#endif /* LOGO_H_ */
//==================================================================================================
